Liens
GET https://lienso.fr/api/links/
curl --request GET \
--url 'https://lienso.fr/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://lienso.fr/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne | La chaîne de recherche |
| search_by | Facultatif Chaîne | Dans quel champ effectuez-vous la recherche. Les valeurs autorisées sont : url, location_url |
| is_enabled | Facultatif Booléen | |
| project_id | Facultatif Entier | |
| domain_id | Facultatif Entier | |
| type | Facultatif Chaîne |
biolink, link, file, static |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facultatif Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facultatif Chaîne | Quel champ utiliser pour trier les résultats. Les valeurs autorisées sont : link_id, datetime, last_datetime, clicks, url |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant, et DESC pour un ordre décroissant |
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. La valeur par défaut est 1 |
| results_per_page | Facultatif Entier | Combien de résultats souhaitez-vous par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. La valeur par défaut est 25 |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-02 09:40:25",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://lienso.fr/api/links?page=1",
"last": "https://lienso.fr/api/links?page=1",
"next": null,
"prev": null,
"self": "https://lienso.fr/api/links?page=1"
}
}
GET https://lienso.fr/api/links/{link_id}
curl --request GET \
--url 'https://lienso.fr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://lienso.fr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-05-02 09:40:25",
}
}
POST https://lienso.fr/api/links
| Paramètres | Détails | Description |
|---|---|---|
| type | Facultatif Chaîne | link |
| location_url | Obligatoire Chaîne | L'URL de la destinationDisponible quand : is_bulk = 0 |
| location_urls | Obligatoire Chaîne | L'URL de la destinationDisponible quand : is_bulk = 1 |
| url | Facultatif Chaîne | L'alias URL du lien généré. Laissez vide pour une génération aléatoire.Disponible quand : is_bulk = 0 |
| is_bulk | Facultatif Booléen | |
| domain_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| pixels_ids | Facultatif Tableau Entier | - |
| email_reports | Facultatif Tableau | Identifiants de gestionnaire de notifications |
| schedule | Facultatif Booléen | - |
| start_date | Facultatif Chaîne | Disponible quand : schedule = true |
| end_date | Facultatif Chaîne | Disponible quand : schedule = true |
| clicks_limit | Facultatif Entier | - |
| expiration_url | Facultatif Chaîne | - |
| sensitive_content | Facultatif Booléen | - |
| http_status_code | Facultatif Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Facultatif Booléen | - |
| cloaking_is_enabled | Facultatif Booléen | - |
| cloaking_title | Facultatif Chaîne | - |
| cloaking_meta_description | Facultatif Chaîne | - |
| cloaking_custom_js | Facultatif Chaîne | - |
| cloaking_favicon | Facultatif Fichier | - |
| cloaking_opengraph | Facultatif Fichier | - |
| password | Facultatif Chaîne | - |
| forward_query_parameters_is_enabled | Facultatif Booléen | - |
| seo_block | Facultatif Booléen | - |
| utm_source | Facultatif Chaîne | - |
| utm_medium | Facultatif Chaîne | - |
| utm_campaign | Facultatif Chaîne | - |
| targeting_type | Facultatif Chaîne | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_continent_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_country_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_country_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_city_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_city_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_device_type_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_device_type_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_browser_language_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_browser_language_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_rotation_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_rotation_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_os_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_os_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_browser_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
| targeting_browser_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
curl --request POST \
--url 'https://lienso.fr/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://lienso.fr/' \
--url 'https://lienso.fr/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://lienso.fr/' \
{
"data": {
"id": 1
}
}
POST https://lienso.fr/api/links/{link_id}
| Paramètres | Détails | Description |
|---|---|---|
| location_url | Facultatif Chaîne | L'URL de la destination |
| url | Facultatif Chaîne | L'alias URL du lien généré. Laissez vide pour une génération aléatoire. |
| domain_id | Facultatif Entier | - |
| project_id | Facultatif Entier | - |
| pixels_ids | Facultatif Tableau Entier | - |
| email_reports | Facultatif Tableau | Identifiants de gestionnaire de notifications |
| schedule | Facultatif Booléen | - |
| start_date | Facultatif Chaîne | Disponible quand : schedule = true |
| end_date | Facultatif Chaîne | Disponible quand : schedule = true |
| clicks_limit | Facultatif Entier | - |
| expiration_url | Facultatif Chaîne | - |
| sensitive_content | Facultatif Booléen | - |
| http_status_code | Facultatif Entier | Valeurs autorisées : 301, 302, 307, 308 |
| app_linking_is_enabled | Facultatif Booléen | - |
| cloaking_is_enabled | Facultatif Booléen | - |
| cloaking_title | Facultatif Chaîne | - |
| cloaking_meta_description | Facultatif Chaîne | - |
| cloaking_custom_js | Facultatif Chaîne | - |
| cloaking_favicon | Facultatif Fichier | - |
| cloaking_opengraph | Facultatif Fichier | - |
| password | Facultatif Chaîne | - |
| forward_query_parameters_is_enabled | Facultatif Booléen | - |
| seo_block | Facultatif Booléen | - |
| utm_source | Facultatif Chaîne | - |
| utm_medium | Facultatif Chaîne | - |
| utm_campaign | Facultatif Chaîne | - |
| targeting_type | Facultatif Chaîne | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_continent_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = continent_code |
| targeting_country_code_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_country_code_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = country_code |
| targeting_city_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_city_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = city_name |
| targeting_device_type_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_device_type_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = device_type |
| targeting_browser_language_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_browser_language_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_language |
| targeting_rotation_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_rotation_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = rotation |
| targeting_os_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_os_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = os_name |
| targeting_browser_name_key[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
| targeting_browser_name_value[index] | Facultatif Chaîne | Disponible quand : targeting_type = browser_name |
curl --request POST \
--url 'https://lienso.fr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://lienso.fr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://lienso.fr/api/links/{link_id}
curl --request DELETE \
--url 'https://lienso.fr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://lienso.fr/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \